Subject: carnivorous plant/live sphagnum sources??
From: [email-masked] (Ryan Sawby)
Date: 9 Jul 1994 17:29:09 GMT
Newsgroups: bionet.plants

I'm looking for pitcher plants, namely Serracenia leucophylla, 
butterworts, and sundews.  Anyone know of any mail order places that 
carry these?  Also, I'd like to know where to get live sphagnum, a broad 
leaved variety that would serve as a good substrate for these plants.
Thanks in advance.

--
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ryan Sawby                     Encumbered forever by desire and ambition.
Rm. 252 Life Sciences Bldg.    There's a hunger still unsatisfied.
University of Idaho            Our weary eyes still stray to the horizon.
Moscow, ID 83844-3051          Though down this road we've been so many times
e-mail- [email-masked]                  Pink Floyd
fax-    (208) 885-7905
phone-  (208) 885-0534
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%